From ab28817174ebf921e0ec8188a5f3c5e0813a5021 Mon Sep 17 00:00:00 2001
From: beqa <beqaprogger@gmail.com>
Date: Wed, 8 May 2013 13:26:25 +0400
Subject: [PATCH] in addons manager, added Get Add-ons button to open NVDA
 Add-ons page.

fixes 3209
---
 source/gui/addonGui.py     | 11 ++++++++++-
 user_docs/en/changes.t2t   |  1 +
 user_docs/en/userGuide.t2t |  4 ++++
 3 files changed, 15 insertions(+), 1 deletion(-)

diff --git a/source/gui/addonGui.py b/source/gui/addonGui.py
index 42d65b6..37b23e1 100644
--- a/source/gui/addonGui.py
+++ b/source/gui/addonGui.py
@@ -2,10 +2,12 @@
 #A part of NonVisual Desktop Access (NVDA)
 #This file is covered by the GNU General Public License.
 #See the file COPYING for more details.
-#Copyright (C) 2012 NV Access Limited
+#Copyright (C) 2012-2013 NV Access Limited, beqa gozalishvili
 
 import wx
 import core
+import webbrowser
+import languageHandler
 import gui
 from logHandler import log
 import addonHandler
@@ -48,6 +50,9 @@ class AddonsDialog(wx.Dialog):
 		self.removeButton.Disable()
 		self.removeButton.Bind(wx.EVT_BUTTON,self.OnRemoveClick)
 		entryButtonsSizer.Add(self.removeButton)
+		self.getAddonsButton=wx.Button(self,label=_("&Get Add-ons..."))
+		self.getAddonsButton.Bind(wx.EVT_BUTTON,self.OnGetAddonsClick)
+		entryButtonsSizer.Add(self.getAddonsButton)
 		settingsSizer.Add(entryButtonsSizer)
 		mainSizer.Add(settingsSizer,border=20,flag=wx.LEFT|wx.RIGHT|wx.TOP)
 		# Translators: The label of a button to close the Addons dialog.
@@ -205,6 +210,10 @@ Description: {description}
 		title=_("Add-on Information")
 		gui.messageBox(message, title, wx.OK)
 
+	def OnGetAddonsClick(self,evt):
+		ADDONS_URL = "http://addons.nvda-project.org/index.{lang}.html"
+		webbrowser.open(ADDONS_URL.format(lang=languageHandler.getLanguage()))
+
 	def __del__(self):
 		AddonsDialog._instance = None
 
diff --git a/user_docs/en/changes.t2t b/user_docs/en/changes.t2t
index 741ebff..9ca5e73 100644
--- a/user_docs/en/changes.t2t
+++ b/user_docs/en/changes.t2t
@@ -10,6 +10,7 @@
 - New eSpeak voice variant: Iven3.
 - In Skype, new chat messages are reported automatically while the conversation is focused. (#2298)
 - Support for Tween, including reporting of tab names and less verbosity when reading tweets.
+- In Add-ons Manager, added a button to open NVDA Add-ons website (addons.nvda-project.org) for browsing and downloading availible add-ons. (#3209)
 
 
 == Changes ==
diff --git a/user_docs/en/userGuide.t2t b/user_docs/en/userGuide.t2t
index e925f3d..c0d7fa7 100644
--- a/user_docs/en/userGuide.t2t
+++ b/user_docs/en/userGuide.t2t
@@ -1089,6 +1089,10 @@ As the functionality of add-ons is unrestricted inside NVDA, which in theory cou
 Once the add-on is installed, NVDA must be restarted for the add-on to start running. 
 Until you do, a status of "install" will show for that add-on in the list.
 
+Alternatively, to browse and download availible add-ons online, select Get add-ons button.
+This button opens the [NVDA Add-ons page http://addons.nvda-project.org] where you can browse and download add-ons.
+After downloading an add-on, follow the installation section above to install the add-on.
+
 To remove an add-on, select the add-on from the list and press the Remove button.
 NVDA will ask if you really wish to do this.
 As with installing, NVDA must be restarted for the add-on to be fully  removed.
-- 
1.8.1.msysgit.1

